Skip to content
REST API

Get a subject

GET
/subjects/{subjectId}

Returns one subject the key's user owns.

Required scopes: subjects:view or tasks:view or schedule:view or notes:view or sets:view

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

subjectId*string

Subject id, scoped to the key's user.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/subjects/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "5f0c1d2e-3a4b-4c5d-8e6f-7a8b9c0d1e2f",    "name": "Chemistry",    "teachers": [      "Dr. Curie"    ],    "period": "Year 12",    "archived": false  }}